%global modulename uglify-js

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-uglify-js
Version:        3.4.9
Release:        1%{?dist}
Summary:        JavaScript parser, mangler/compressor and beautifier toolkit

License:        BSD
URL:            https://github.com/mishoo/UglifyJS2#readme
Source0:        https://registry.npmjs.org/uglify-js/-/uglify-js-3.4.9.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(commander) >= 2.17.1 with npmlib(commander) < 2.18.0))
BuildRequires:  ((npmlib(source-map) >= 0.6.1 with npmlib(source-map) < 0.7.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
JavaScript parser, mangler/compressor and beautifier toolkit

%package 3.4.9
Summary:        JavaScript parser, mangler/compressor and beautifier toolkit


%description 3.4.9
JavaScript parser, mangler/compressor and beautifier toolkit

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tools %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/uglifyjs %{buildroot}/%{_bindir}/uglifyjs


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{_bindir}/uglifyjs
%{nodejs_dir}/%{modulename}

%files 3.4.9
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Dec 4 2018 npm2srpm <dshea@redhat.com> - 3.4.9-1
- Package automatically generated by npm2srpm
